/*
 * Copyright 2015-2017 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.hawcons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum HawconsFilled implements Ikon {
    // latest is e6c5
    HWF_AIR_SOCK("hwf-air-sock", '\ue701'),
    HWF_AMUSED_FACE("hwf-amused-face", '\ue73e'),
    HWF_AMUSED_FACE_CLOSED_EYES_1("hwf-amused-face-closed-eyes-1", '\ue73f'),
    HWF_AMUSED_FACE_CLOSED_EYES_2("hwf-amused-face-closed-eyes-2", '\ue740'),
    HWF_ANGRY_FACE("hwf-angry-face", '\ue728'),
    HWF_ANGRY_FACE_EYEBROWS("hwf-angry-face-eyebrows", '\ue72b'),
    HWF_ANGRY_FACE_OPEN_MOUTH_EYEBROWS("hwf-angry-face-open-mouth-eyebrows", '\ue739'),
    HWF_ANGRY_FACE_TEETH("hwf-angry-face-teeth", '\ue735'),
    HWF_ASTONISHED_FACE_1("hwf-astonished-face-1", '\ue74c'),
    HWF_ASTONISHED_FACE_2("hwf-astonished-face-2", '\ue74d'),
    HWF_AWARD_1("hwf-award-1", '\ue6b5'),
    HWF_AWARD_2("hwf-award-2", '\ue6b6'),
    HWF_AWARD_3("hwf-award-3", '\ue6b7'),
    HWF_AWARD_4("hwf-award-4", '\ue6b8'),
    HWF_BAROMETER("hwf-barometer", '\ue6fc'),
    HWF_BASEBALL("hwf-baseball", '\ue698'),
    HWF_BASEBALL_SET("hwf-baseball-set", '\ue6a1'),
    HWF_BASKETBALL_1("hwf-basketball-1", '\ue697'),
    HWF_BASKETBALL_2("hwf-basketball-2", '\ue6a0'),
    HWF_BASKETBALL_HOOP("hwf-basketball-hoop", '\ue6aa'),
    HWF_BILLIARD_BALL("hwf-billiard-ball", '\ue69b'),
    HWF_BOOK("hwf-book", '\ue61d'),
    HWF_BOOKMARK("hwf-bookmark", '\ue611'),
    HWF_BOOKMARK_ADD("hwf-bookmark-add", '\ue612'),
    HWF_BOOKMARK_REMOVE("hwf-bookmark-remove", '\ue613'),
    HWF_BOOK_BOOKMARK("hwf-book-bookmark", '\ue61e'),
    HWF_BOWLING_BALL("hwf-bowling-ball", '\ue69a'),
    HWF_BOWLING_PINS("hwf-bowling-pins", '\ue6c3'),
    HWF_BOWLING_PIN_BALL("hwf-bowling-pin-ball", '\ue6c4'),
    HWF_BOXING_GLOVE("hwf-boxing-glove", '\ue6bb'),
    HWF_BOX_1("hwf-box-1", '\ue68a'),
    HWF_BOX_2("hwf-box-2", '\ue68c'),
    HWF_BOX_3("hwf-box-3", '\ue68d'),
    HWF_BOX_BOOKMARK("hwf-box-bookmark", '\ue68e'),
    HWF_BOX_FILLED("hwf-box-filled", '\ue68b'),
    HWF_CERTIFICATE("hwf-certificate", '\ue688'),
    HWF_CHECKERED_FLAG("hwf-checkered-flag", '\ue6be'),
    HWF_CLIPBOARD("hwf-clipboard", '\ue622'),
    HWF_CLIPBOARD_ADD("hwf-clipboard-add", '\ue620'),
    HWF_CLIPBOARD_CHECKED("hwf-clipboard-checked", '\ue625'),
    HWF_CLIPBOARD_DOWNLOAD("hwf-clipboard-download", '\ue623'),
    HWF_CLIPBOARD_EDIT("hwf-clipboard-edit", '\ue61f'),
    HWF_CLIPBOARD_LIST("hwf-clipboard-list", '\ue627'),
    HWF_CLIPBOARD_MOVE("hwf-clipboard-move", '\ue6b4'),
    HWF_CLIPBOARD_REMOVE("hwf-clipboard-remove", '\ue621'),
    HWF_CLIPBOARD_TEXT("hwf-clipboard-text", '\ue626'),
    HWF_CLIPBOARD_UPLOAD("hwf-clipboard-upload", '\ue624'),
    HWF_CLOUDS_1("hwf-clouds-1", '\ue6dc'),
    HWF_CLOUDS_2("hwf-clouds-2", '\ue6f0'),
    HWF_CLOUD_1("hwf-cloud-1", '\ue682'),
    HWF_CLOUD_2("hwf-cloud-2", '\ue6c9'),
    HWF_CLOUD_ADD("hwf-cloud-add", '\ue6dd'),
    HWF_CLOUD_DOWNLOAD("hwf-cloud-download", '\ue67f'),
    HWF_CLOUD_ERROR_1("hwf-cloud-error-1", '\ue681'),
    HWF_CLOUD_ERROR_2("hwf-cloud-error-2", '\ue6df'),
    HWF_CLOUD_FOG("hwf-cloud-fog", '\ue6e0'),
    HWF_CLOUD_LIGHTNING("hwf-cloud-lightning", '\ue6d2'),
    HWF_CLOUD_MOON("hwf-cloud-moon", '\ue6cb'),
    HWF_CLOUD_MOON_FOG("hwf-cloud-moon-fog", '\ue6e2'),
    HWF_CLOUD_MOON_LIGHTNING("hwf-cloud-moon-lightning", '\ue6d4'),
    HWF_CLOUD_MOON_RAIN("hwf-cloud-moon-rain", '\ue6ce'),
    HWF_CLOUD_MOON_RAINDROPS("hwf-cloud-moon-raindrops", '\ue6d8'),
    HWF_CLOUD_MOON_SNOW("hwf-cloud-moon-snow", '\ue6d1'),
    HWF_CLOUD_MOON_SNOWFLAKES("hwf-cloud-moon-snowflakes", '\ue6db'),
    HWF_CLOUD_RAIN("hwf-cloud-rain", '\ue6cc'),
    HWF_CLOUD_RAINDROPS("hwf-cloud-raindrops", '\ue6d6'),
    HWF_CLOUD_REMOVE("hwf-cloud-remove", '\ue6de'),
    HWF_CLOUD_SNOW("hwf-cloud-snow", '\ue6cf'),
    HWF_CLOUD_SNOWFLAKES("hwf-cloud-snowflakes", '\ue6d9'),
    HWF_CLOUD_SUN("hwf-cloud-sun", '\ue6ca'),
    HWF_CLOUD_SUN_FOG("hwf-cloud-sun-fog", '\ue6e1'),
    HWF_CLOUD_SUN_LIGHTNING("hwf-cloud-sun-lightning", '\ue6d3'),
    HWF_CLOUD_SUN_RAIN("hwf-cloud-sun-rain", '\ue6cd'),
    HWF_CLOUD_SUN_RAINDROPS("hwf-cloud-sun-raindrops", '\ue6d7'),
    HWF_CLOUD_SUN_SNOW("hwf-cloud-sun-snow", '\ue6d0'),
    HWF_CLOUD_SUN_SNOWFLAKES("hwf-cloud-sun-snowflakes", '\ue6da'),
    HWF_CLOUD_UPLOAD("hwf-cloud-upload", '\ue680'),
    HWF_CLOUD_WIND("hwf-cloud-wind", '\ue6d5'),
    HWF_COMBINATION_LOCK("hwf-combination-lock", '\ue677'),
    HWF_COMPASS_1("hwf-compass-1", '\ue706'),
    HWF_COMPASS_2("hwf-compass-2", '\ue707'),
    HWF_COMPASS_3("hwf-compass-3", '\ue708'),
    HWF_COMPASS_4("hwf-compass-4", '\ue709'),
    HWF_COMPASS_EAST("hwf-compass-east", '\ue6ff'),
    HWF_COMPASS_NORTH("hwf-compass-north", '\ue6fd'),
    HWF_COMPASS_SOUTH("hwf-compass-south", '\ue700'),
    HWF_COMPASS_WEST("hwf-compass-west", '\ue6fe'),
    HWF_CRESCENT_1("hwf-crescent-1", '\ue6f5'),
    HWF_CRESCENT_2("hwf-crescent-2", '\ue6fb'),
    HWF_DEGREE_CELSIUS("hwf-degree-celsius", '\ue704'),
    HWF_DEGREE_FAHRENHEIT("hwf-degree-fahrenheit", '\ue703'),
    HWF_DIVING_GOGGLES("hwf-diving-goggles", '\ue6c5'),
    HWF_DOCUMENT("hwf-document", '\ue635'),
    HWF_DOCUMENTS_1("hwf-documents-1", '\ue646'),
    HWF_DOCUMENTS_2("hwf-documents-2", '\ue647'),
    HWF_DOCUMENT_ADD("hwf-document-add", '\ue64f'),
    HWF_DOCUMENT_BOOKMARK("hwf-document-bookmark", '\ue63a'),
    HWF_DOCUMENT_CANCEL("hwf-document-cancel", '\ue64d'),
    HWF_DOCUMENT_CERTIFICATE("hwf-document-certificate", '\ue687'),
    HWF_DOCUMENT_CHECKED("hwf-document-checked", '\ue64e'),
    HWF_DOCUMENT_CLOUD("hwf-document-cloud", '\ue645'),
    HWF_DOCUMENT_CODE("hwf-document-code", '\ue644'),
    HWF_DOCUMENT_DIAGRAMS("hwf-document-diagrams", '\ue63b'),
    HWF_DOCUMENT_DOWNLOAD("hwf-document-download", '\ue638'),
    HWF_DOCUMENT_EDIT("hwf-document-edit", '\ue686'),
    HWF_DOCUMENT_ERROR("hwf-document-error", '\ue64c'),
    HWF_DOCUMENT_FILE_3GP("hwf-document-file-3gp", '\ue7fa'),
    HWF_DOCUMENT_FILE_AAC("hwf-document-file-aac", '\ue7fc'),
    HWF_DOCUMENT_FILE_AI("hwf-document-file-ai", '\ue7d2'),
    HWF_DOCUMENT_FILE_AIFF("hwf-document-file-aiff", '\ue7fb'),
    HWF_DOCUMENT_FILE_APP("hwf-document-file-app", '\ue7c6'),
    HWF_DOCUMENT_FILE_ASP("hwf-document-file-asp", '\ue7e5'),
    HWF_DOCUMENT_FILE_AVI("hwf-document-file-avi", '\ue7ec'),
    HWF_DOCUMENT_FILE_BMP("hwf-document-file-bmp", '\ue7d3'),
    HWF_DOCUMENT_FILE_C("hwf-document-file-c", '\ue7da'),
    HWF_DOCUMENT_FILE_CPP("hwf-document-file-cpp", '\ue7dd'),
    HWF_DOCUMENT_FILE_CSS("hwf-document-file-css", '\ue7cf'),
    HWF_DOCUMENT_FILE_DAT("hwf-document-file-dat", '\ue7e7'),
    HWF_DOCUMENT_FILE_DMG("hwf-document-file-dmg", '\ue801'),
    HWF_DOCUMENT_FILE_DOC("hwf-document-file-doc", '\ue7e0'),
    HWF_DOCUMENT_FILE_DOCX("hwf-document-file-docx", '\ue7e3'),
    HWF_DOCUMENT_FILE_DOT("hwf-document-file-dot", '\ue7f2'),
    HWF_DOCUMENT_FILE_DOTX("hwf-document-file-dotx", '\ue7ee'),
    HWF_DOCUMENT_FILE_DWG("hwf-document-file-dwg", '\ue7d4'),
    HWF_DOCUMENT_FILE_DXF("hwf-document-file-dxf", '\ue7df'),
    HWF_DOCUMENT_FILE_EPS("hwf-document-file-eps", '\ue7d5'),
    HWF_DOCUMENT_FILE_EXE("hwf-document-file-exe", '\ue7eb'),
    HWF_DOCUMENT_FILE_FLV("hwf-document-file-flv", '\ue7f6'),
    HWF_DOCUMENT_FILE_GIF("hwf-document-file-gif", '\ue804'),
    HWF_DOCUMENT_FILE_H("hwf-document-file-h", '\ue7ea'),
    HWF_DOCUMENT_FILE_HTML("hwf-document-file-html", '\ue7ce'),
    HWF_DOCUMENT_FILE_ICS("hwf-document-file-ics", '\ue7e6'),
    HWF_DOCUMENT_FILE_ISO("hwf-document-file-iso", '\ue802'),
    HWF_DOCUMENT_FILE_JAVA("hwf-document-file-java", '\ue7d0'),
    HWF_DOCUMENT_FILE_JPG("hwf-document-file-jpg", '\ue7cc'),
    HWF_DOCUMENT_FILE_KEY("hwf-document-file-key", '\ue7cd'),
    HWF_DOCUMENT_FILE_M4V("hwf-document-file-m4v", '\ue7f5'),
    HWF_DOCUMENT_FILE_MID("hwf-document-file-mid", '\ue7f9'),
    HWF_DOCUMENT_FILE_MOV("hwf-document-file-mov", '\ue7cb'),
    HWF_DOCUMENT_FILE_MP3("hwf-document-file-mp3", '\ue7c9'),
    HWF_DOCUMENT_FILE_MP4("hwf-document-file-mp4", '\ue7ca'),
    HWF_DOCUMENT_FILE_MPG("hwf-document-file-mpg", '\ue7f7'),
    HWF_DOCUMENT_FILE_NUMBERS("hwf-document-file-numbers", '\ue7c4'),
    HWF_DOCUMENT_FILE_ODP("hwf-document-file-odp", '\ue7ed'),
    HWF_DOCUMENT_FILE_ODS("hwf-document-file-ods", '\ue7f0'),
    HWF_DOCUMENT_FILE_ODT("hwf-document-file-odt", '\ue7e1'),
    HWF_DOCUMENT_FILE_OTS("hwf-document-file-ots", '\ue7d7'),
    HWF_DOCUMENT_FILE_OTT("hwf-document-file-ott", '\ue7ff'),
    HWF_DOCUMENT_FILE_PAGES("hwf-document-file-pages", '\ue7c5'),
    HWF_DOCUMENT_FILE_PDF("hwf-document-file-pdf", '\ue7c8'),
    HWF_DOCUMENT_FILE_PHP("hwf-document-file-php", '\ue7d8'),
    HWF_DOCUMENT_FILE_PNG("hwf-document-file-png", '\ue7c7'),
    HWF_DOCUMENT_FILE_PPS("hwf-document-file-pps", '\ue7f1'),
    HWF_DOCUMENT_FILE_PPT("hwf-document-file-ppt", '\ue7e4'),
    HWF_DOCUMENT_FILE_PSD("hwf-document-file-psd", '\ue7d1'),
    HWF_DOCUMENT_FILE_PY("hwf-document-file-py", '\ue7d9'),
    HWF_DOCUMENT_FILE_QT("hwf-document-file-qt", '\ue7f8'),
    HWF_DOCUMENT_FILE_RAR("hwf-document-file-rar", '\ue803'),
    HWF_DOCUMENT_FILE_RB("hwf-document-file-rb", '\ue7dc'),
    HWF_DOCUMENT_FILE_RTF("hwf-document-file-rtf", '\ue7f4'),
    HWF_DOCUMENT_FILE_SQL("hwf-document-file-sql", '\ue7db'),
    HWF_DOCUMENT_FILE_TGA("hwf-document-file-tga", '\ue7de'),
    HWF_DOCUMENT_FILE_TGZ("hwf-document-file-tgz", '\ue800'),
    HWF_DOCUMENT_FILE_TIFF("hwf-document-file-tiff", '\ue7d6'),
    HWF_DOCUMENT_FILE_TXT("hwf-document-file-txt", '\ue7f3'),
    HWF_DOCUMENT_FILE_WAV("hwf-document-file-wav", '\ue7fd'),
    HWF_DOCUMENT_FILE_XLS("hwf-document-file-xls", '\ue7e2'),
    HWF_DOCUMENT_FILE_XLSX("hwf-document-file-xlsx", '\ue7ef'),
    HWF_DOCUMENT_FILE_XML("hwf-document-file-xml", '\ue7e8'),
    HWF_DOCUMENT_FILE_YML("hwf-document-file-yml", '\ue7e9'),
    HWF_DOCUMENT_FILE_ZIP("hwf-document-file-zip", '\ue7fe'),
    HWF_DOCUMENT_FONT("hwf-document-font", '\ue655'),
    HWF_DOCUMENT_FORBIDDEN("hwf-document-forbidden", '\ue651'),
    HWF_DOCUMENT_GRAPH("hwf-document-graph", '\ue641'),
    HWF_DOCUMENT_INFORMATION("hwf-document-information", '\ue652'),
    HWF_DOCUMENT_LIST("hwf-document-list", '\ue654'),
    HWF_DOCUMENT_LOCKED("hwf-document-locked", '\ue64b'),
    HWF_DOCUMENT_MOVIE("hwf-document-movie", '\ue63f'),
    HWF_DOCUMENT_MUSIC("hwf-document-music", '\ue63e'),
    HWF_DOCUMENT_PLAY("hwf-document-play", '\ue640'),
    HWF_DOCUMENT_RECORDING("hwf-document-recording", '\ue63c'),
    HWF_DOCUMENT_REMOVE("hwf-document-remove", '\ue650'),
    HWF_DOCUMENT_SCAN("hwf-document-scan", '\ue67e'),
    HWF_DOCUMENT_SEARCH("hwf-document-search", '\ue648'),
    HWF_DOCUMENT_SHRED("hwf-document-shred", '\ue67c'),
    HWF_DOCUMENT_STAR("hwf-document-star", '\ue649'),
    HWF_DOCUMENT_TABLE("hwf-document-table", '\ue63d'),
    HWF_DOCUMENT_TEXT_1("hwf-document-text-1", '\ue636'),
    HWF_DOCUMENT_TEXT_2("hwf-document-text-2", '\ue637'),
    HWF_DOCUMENT_TEXT_3("hwf-document-text-3", '\ue643'),
    HWF_DOCUMENT_TIME("hwf-document-time", '\ue642'),
    HWF_DOCUMENT_UNLOCKED("hwf-document-unlocked", '\ue64a'),
    HWF_DOCUMENT_UPLOAD("hwf-document-upload", '\ue639'),
    HWF_DOCUMENT_ZIP("hwf-document-zip", '\ue66b'),
    HWF_EYE("hwf-eye", '\ue615'),
    HWF_EYE_HIDDEN("hwf-eye-hidden", '\ue614'),
    HWF_FACE_CLOSED_EYES_OPEN_MOUTH_1("hwf-face-closed-eyes-open-mouth-1", '\ue741'),
    HWF_FACE_CLOSED_EYES_OPEN_MOUTH_2("hwf-face-closed-eyes-open-mouth-2", '\ue742'),
    HWF_FACE_CLOSED_EYES_OPEN_MOUTH_3("hwf-face-closed-eyes-open-mouth-3", '\ue743'),
    HWF_FACE_CLOSED_MEYES("hwf-face-closed-meyes", '\ue73d'),
    HWF_FACE_GLASSES("hwf-face-glasses", '\ue750'),
    HWF_FACE_MISSING_MOTH("hwf-face-missing-moth", '\ue716'),
    HWF_FACE_MOUSTACHE_1("hwf-face-moustache-1", '\ue74e'),
    HWF_FACE_MOUSTACHE_2("hwf-face-moustache-2", '\ue74f'),
    HWF_FACE_OPEN_MOUTH_1("hwf-face-open-mouth-1", '\ue71a'),
    HWF_FACE_OPEN_MOUTH_2("hwf-face-open-mouth-2", '\ue71b'),
    HWF_FACE_OPEN_MOUTH_EYEBROWS_1("hwf-face-open-mouth-eyebrows-1", '\ue737'),
    HWF_FACE_OPEN_MOUTH_EYEBROWS_2("hwf-face-open-mouth-eyebrows-2", '\ue738'),
    HWF_FACE_STUCK_OUT_TONGUE_1("hwf-face-stuck-out-tongue-1", '\ue731'),
    HWF_FACE_STUCK_OUT_TONGUE_2("hwf-face-stuck-out-tongue-2", '\ue732'),
    HWF_FACE_SUNGLASSES("hwf-face-sunglasses", '\ue751'),
    HWF_FAKE_GRINNING_FACE_EYEBROWS("hwf-fake-grinning-face-eyebrows", '\ue72f'),
    HWF_FILE_3GP("hwf-file-3gp", '\ue7b9'),
    HWF_FILE_AAC("hwf-file-aac", '\ue7bb'),
    HWF_FILE_AI("hwf-file-ai", '\ue791'),
    HWF_FILE_AIFF("hwf-file-aiff", '\ue7ba'),
    HWF_FILE_APP("hwf-file-app", '\ue785'),
    HWF_FILE_ASP("hwf-file-asp", '\ue7a4'),
    HWF_FILE_AVI("hwf-file-avi", '\ue7ab'),
    HWF_FILE_BMP("hwf-file-bmp", '\ue792'),
    HWF_FILE_C("hwf-file-c", '\ue799'),
    HWF_FILE_CPP("hwf-file-cpp", '\ue79c'),
    HWF_FILE_CSS("hwf-file-css", '\ue78e'),
    HWF_FILE_DAT("hwf-file-dat", '\ue7a6'),
    HWF_FILE_DMG("hwf-file-dmg", '\ue7c0'),
    HWF_FILE_DOC("hwf-file-doc", '\ue79f'),
    HWF_FILE_DOCX("hwf-file-docx", '\ue7a2'),
    HWF_FILE_DOT("hwf-file-dot", '\ue7b1'),
    HWF_FILE_DOTX("hwf-file-dotx", '\ue7ad'),
    HWF_FILE_DWG("hwf-file-dwg", '\ue793'),
    HWF_FILE_DXF("hwf-file-dxf", '\ue79e'),
    HWF_FILE_EPS("hwf-file-eps", '\ue794'),
    HWF_FILE_EXE("hwf-file-exe", '\ue7aa'),
    HWF_FILE_FLV("hwf-file-flv", '\ue7b5'),
    HWF_FILE_GIF("hwf-file-gif", '\ue7c3'),
    HWF_FILE_H("hwf-file-h", '\ue7a9'),
    HWF_FILE_HTML("hwf-file-html", '\ue78d'),
    HWF_FILE_ICS("hwf-file-ics", '\ue7a5'),
    HWF_FILE_ISO("hwf-file-iso", '\ue7c1'),
    HWF_FILE_JAVA("hwf-file-java", '\ue78f'),
    HWF_FILE_JPG("hwf-file-jpg", '\ue78b'),
    HWF_FILE_KEY("hwf-file-key", '\ue78c'),
    HWF_FILE_M4V("hwf-file-m4v", '\ue7b4'),
    HWF_FILE_MID("hwf-file-mid", '\ue7b8'),
    HWF_FILE_MOV("hwf-file-mov", '\ue78a'),
    HWF_FILE_MP3("hwf-file-mp3", '\ue788'),
    HWF_FILE_MP4("hwf-file-mp4", '\ue789'),
    HWF_FILE_MPG("hwf-file-mpg", '\ue7b6'),
    HWF_FILE_NUMBERS("hwf-file-numbers", '\ue783'),
    HWF_FILE_ODP("hwf-file-odp", '\ue7ac'),
    HWF_FILE_ODS("hwf-file-ods", '\ue7af'),
    HWF_FILE_ODT("hwf-file-odt", '\ue7a0'),
    HWF_FILE_OTS("hwf-file-ots", '\ue796'),
    HWF_FILE_OTT("hwf-file-ott", '\ue7be'),
    HWF_FILE_PAGES("hwf-file-pages", '\ue784'),
    HWF_FILE_PDF("hwf-file-pdf", '\ue787'),
    HWF_FILE_PHP("hwf-file-php", '\ue797'),
    HWF_FILE_PNG("hwf-file-png", '\ue786'),
    HWF_FILE_PPS("hwf-file-pps", '\ue7b0'),
    HWF_FILE_PPT("hwf-file-ppt", '\ue7a3'),
    HWF_FILE_PSD("hwf-file-psd", '\ue790'),
    HWF_FILE_PY("hwf-file-py", '\ue798'),
    HWF_FILE_QUICKTIME("hwf-file-quicktime", '\ue7b7'),
    HWF_FILE_RAR("hwf-file-rar", '\ue7c2'),
    HWF_FILE_RB("hwf-file-rb", '\ue79b'),
    HWF_FILE_RTF("hwf-file-rtf", '\ue7b3'),
    HWF_FILE_SQL("hwf-file-sql", '\ue79a'),
    HWF_FILE_TGA("hwf-file-tga", '\ue79d'),
    HWF_FILE_TGZ("hwf-file-tgz", '\ue7bf'),
    HWF_FILE_TIFF("hwf-file-tiff", '\ue795'),
    HWF_FILE_TXT("hwf-file-txt", '\ue7b2'),
    HWF_FILE_WAV("hwf-file-wav", '\ue7bc'),
    HWF_FILE_XLS("hwf-file-xls", '\ue7a1'),
    HWF_FILE_XLSX("hwf-file-xlsx", '\ue7ae'),
    HWF_FILE_XML("hwf-file-xml", '\ue7a7'),
    HWF_FILE_YML("hwf-file-yml", '\ue7a8'),
    HWF_FILE_ZIP("hwf-file-zip", '\ue7bd'),
    HWF_FLAG_1("hwf-flag-1", '\ue60d'),
    HWF_FLAG_2("hwf-flag-2", '\ue60e'),
    HWF_FLAG_3("hwf-flag-3", '\ue60f'),
    HWF_FLAG_4("hwf-flag-4", '\ue610'),
    HWF_FLASHED_FACE_1("hwf-flashed-face-1", '\ue713'),
    HWF_FLASHED_FACE_2("hwf-flashed-face-2", '\ue714'),
    HWF_FLASHED_FACE_GLASSES("hwf-flashed-face-glasses", '\ue715'),
    HWF_FOLDERS("hwf-folders", '\ue65e'),
    HWF_FOLDER_1("hwf-folder-1", '\ue65c'),
    HWF_FOLDER_2("hwf-folder-2", '\ue65d'),
    HWF_FOLDER_ADD("hwf-folder-add", '\ue667'),
    HWF_FOLDER_BOOKMARK("hwf-folder-bookmark", '\ue66a'),
    HWF_FOLDER_CANCEL("hwf-folder-cancel", '\ue665'),
    HWF_FOLDER_CHECKED("hwf-folder-checked", '\ue666'),
    HWF_FOLDER_DOWNLOAD("hwf-folder-download", '\ue65f'),
    HWF_FOLDER_ERROR("hwf-folder-error", '\ue664'),
    HWF_FOLDER_FORBIDDEN("hwf-folder-forbidden", '\ue669'),
    HWF_FOLDER_INFORMATION("hwf-folder-information", '\ue653'),
    HWF_FOLDER_LOCKED("hwf-folder-locked", '\ue662'),
    HWF_FOLDER_REMOVE("hwf-folder-remove", '\ue668'),
    HWF_FOLDER_SEARCH("hwf-folder-search", '\ue663'),
    HWF_FOLDER_UNLOCKED("hwf-folder-unlocked", '\ue661'),
    HWF_FOLDER_UPLOAD("hwf-folder-upload", '\ue660'),
    HWF_FOOTBALL_1("hwf-football-1", '\ue69e'),
    HWF_FOOTBALL_2("hwf-football-2", '\ue69f'),
    HWF_FULL_MOON("hwf-full-moon", '\ue6f4'),
    HWF_GIBBOUS_MOON_1("hwf-gibbous-moon-1", '\ue6f7'),
    HWF_GIBBOUS_MOON_2("hwf-gibbous-moon-2", '\ue6f9'),
    HWF_GOLF("hwf-golf", '\ue6b2'),
    HWF_GRINNING_FACE_1("hwf-grinning-face-1", '\ue72c'),
    HWF_GRINNING_FACE_2("hwf-grinning-face-2", '\ue746'),
    HWF_GRINNING_FACE_EYEBROWS_1("hwf-grinning-face-eyebrows-1", '\ue725'),
    HWF_GRINNING_FACE_EYEBROWS_2("hwf-grinning-face-eyebrows-2", '\ue72e'),
    HWF_GRINNING_FACE_TEETH_1("hwf-grinning-face-teeth-1", '\ue734'),
    HWF_GRINNING_FACE_TEETH_2("hwf-grinning-face-teeth-2", '\ue736'),
    HWF_HALF_MOON_1("hwf-half-moon-1", '\ue6f6'),
    HWF_HALF_MOON_2("hwf-half-moon-2", '\ue6fa'),
    HWF_HIGH_FIVE("hwf-high-five", '\ue755'),
    HWF_HOCKEY_STICK("hwf-hockey-stick", '\ue6af'),
    HWF_HOCKEY_STICKS("hwf-hockey-sticks", '\ue6b0'),
    HWF_ICE_SKATE("hwf-ice-skate", '\ue6c8'),
    HWF_INBOX("hwf-inbox", '\ue656'),
    HWF_INBOXES("hwf-inboxes", '\ue657'),
    HWF_INBOX_DOCUMENT("hwf-inbox-document", '\ue658'),
    HWF_INBOX_DOCUMENT_TEXT("hwf-inbox-document-text", '\ue659'),
    HWF_INBOX_DOWNLOAD("hwf-inbox-download", '\ue65a'),
    HWF_INBOX_FILLED("hwf-inbox-filled", '\ue683'),
    HWF_INBOX_UPLOAD("hwf-inbox-upload", '\ue65b'),
    HWF_INFORMATION_1("hwf-information-1", '\ue61b'),
    HWF_INFORMATION_2("hwf-information-2", '\ue61c'),
    HWF_KEY_1("hwf-key-1", '\ue617'),
    HWF_KEY_2("hwf-key-2", '\ue618'),
    HWF_KISSING_FACE_1("hwf-kissing-face-1", '\ue733'),
    HWF_KISSING_FACE_2("hwf-kissing-face-2", '\ue73c'),
    HWF_LAUGHING_FACE_1("hwf-laughing-face-1", '\ue71d'),
    HWF_LAUGHING_FACE_2("hwf-laughing-face-2", '\ue71e'),
    HWF_LAUGHING_FACE_3("hwf-laughing-face-3", '\ue744'),
    HWF_LIGHTNING("hwf-lightning", '\ue710'),
    HWF_LOCK("hwf-lock", '\ue670'),
    HWF_LOCK_OPEN_1("hwf-lock-open-1", '\ue671'),
    HWF_LOCK_OPEN_2("hwf-lock-open-2", '\ue672'),
    HWF_LOCK_ROUNDED("hwf-lock-rounded", '\ue674'),
    HWF_LOCK_ROUNDED_OPEN_1("hwf-lock-rounded-open-1", '\ue675'),
    HWF_LOCK_ROUNDED_OPEN_2("hwf-lock-rounded-open-2", '\ue676'),
    HWF_LOCK_STRIPES("hwf-lock-stripes", '\ue673'),
    HWF_MAIL_ADD("hwf-mail-add", '\ue60b'),
    HWF_MAIL_CANCEL("hwf-mail-cancel", '\ue609'),
    HWF_MAIL_CHECKED("hwf-mail-checked", '\ue608'),
    HWF_MAIL_ENVELOPE("hwf-mail-envelope", '\ue600'),
    HWF_MAIL_ENVELOPE_CLOSED_1("hwf-mail-envelope-closed-1", '\ue602'),
    HWF_MAIL_ENVELOPE_CLOSED_2("hwf-mail-envelope-closed-2", '\ue605'),
    HWF_MAIL_ENVELOPE_OPEN_1("hwf-mail-envelope-open-1", '\ue601'),
    HWF_MAIL_ENVELOPE_OPEN_2("hwf-mail-envelope-open-2", '\ue603'),
    HWF_MAIL_ENVELOPE_OPEN_3("hwf-mail-envelope-open-3", '\ue604'),
    HWF_MAIL_ENVELOPE_OPEN_4("hwf-mail-envelope-open-4", '\ue606'),
    HWF_MAIL_ERROR("hwf-mail-error", '\ue607'),
    HWF_MAIL_FORBIDDEN("hwf-mail-forbidden", '\ue60a'),
    HWF_MAIL_REMOVE("hwf-mail-remove", '\ue60c'),
    HWF_MEDAL_1("hwf-medal-1", '\ue6a6'),
    HWF_MEDAL_2("hwf-medal-2", '\ue6a7'),
    HWF_MEDAL_3("hwf-medal-3", '\ue6b9'),
    HWF_MEDAL_4("hwf-medal-4", '\ue6ba'),
    HWF_MIDDLE_FINGER("hwf-middle-finger", '\ue753'),
    HWF_MOONRISE("hwf-moonrise", '\ue6f1'),
    HWF_MOONSET("hwf-moonset", '\ue6f2'),
    HWF_MOON_1("hwf-moon-1", '\ue6e4'),
    HWF_MOON_2("hwf-moon-2", '\ue6f8'),
    HWF_MOON_STARS("hwf-moon-stars", '\ue6e3'),
    HWF_MOVE("hwf-move", '\ue6b3'),
    HWF_NEUTRAL_FACE_1("hwf-neutral-face-1", '\ue717'),
    HWF_NEUTRAL_FACE_2("hwf-neutral-face-2", '\ue721'),
    HWF_NEUTRAL_FACE_EYEBROWS("hwf-neutral-face-eyebrows", '\ue727'),
    HWF_NOTE("hwf-note", '\ue628'),
    HWF_NOTEBOOK_1("hwf-notebook-1", '\ue62f'),
    HWF_NOTEBOOK_2("hwf-notebook-2", '\ue630'),
    HWF_NOTEBOOK_3("hwf-notebook-3", '\ue631'),
    HWF_NOTEBOOK_4("hwf-notebook-4", '\ue632'),
    HWF_NOTEBOOK_LIST("hwf-notebook-list", '\ue634'),
    HWF_NOTEBOOK_TEXT("hwf-notebook-text", '\ue633'),
    HWF_NOTE_ADD("hwf-note-add", '\ue629'),
    HWF_NOTE_CHECKED("hwf-note-checked", '\ue62d'),
    HWF_NOTE_IMPORTANT("hwf-note-important", '\ue62e'),
    HWF_NOTE_LIST("hwf-note-list", '\ue62c'),
    HWF_NOTE_REMOVE("hwf-note-remove", '\ue62a'),
    HWF_NOTE_TEXT("hwf-note-text", '\ue62b'),
    HWF_ONE_FINGER("hwf-one-finger", '\ue767'),
    HWF_ONE_FINGER_CLICK_1("hwf-one-finger-click-1", '\ue76c'),
    HWF_ONE_FINGER_CLICK_2("hwf-one-finger-click-2", '\ue77a'),
    HWF_ONE_FINGER_DOUBLE_TAP_1("hwf-one-finger-double-tap-1", '\ue768'),
    HWF_ONE_FINGER_DOUBLE_TAP_2("hwf-one-finger-double-tap-2", '\ue774'),
    HWF_ONE_FINGER_SWIPE("hwf-one-finger-swipe", '\ue77c'),
    HWF_ONE_FINGER_SWIPE_DOWN_1("hwf-one-finger-swipe-down-1", '\ue766'),
    HWF_ONE_FINGER_SWIPE_DOWN_2("hwf-one-finger-swipe-down-2", '\ue782'),
    HWF_ONE_FINGER_SWIPE_HORIZONTALLY("hwf-one-finger-swipe-horizontally", '\ue77b'),
    HWF_ONE_FINGER_SWIPE_LEFT_1("hwf-one-finger-swipe-left-1", '\ue763'),
    HWF_ONE_FINGER_SWIPE_LEFT_2("hwf-one-finger-swipe-left-2", '\ue77f'),
    HWF_ONE_FINGER_SWIPE_RIGHT_1("hwf-one-finger-swipe-right-1", '\ue764'),
    HWF_ONE_FINGER_SWIPE_RIGHT_2("hwf-one-finger-swipe-right-2", '\ue780'),
    HWF_ONE_FINGER_SWIPE_UP_1("hwf-one-finger-swipe-up-1", '\ue765'),
    HWF_ONE_FINGER_SWIPE_UP_2("hwf-one-finger-swipe-up-2", '\ue781'),
    HWF_ONE_FINGER_TAP_1("hwf-one-finger-tap-1", '\ue769'),
    HWF_ONE_FINGER_TAP_2("hwf-one-finger-tap-2", '\ue778'),
    HWF_ONE_FINGER_TAP_HOLD_1("hwf-one-finger-tap-hold-1", '\ue76a'),
    HWF_ONE_FINGER_TAP_HOLD_2("hwf-one-finger-tap-hold-2", '\ue779'),
    HWF_PACKAGE("hwf-package", '\ue689'),
    HWF_PAPERCLIP("hwf-paperclip", '\ue696'),
    HWF_PEN("hwf-pen", '\ue684'),
    HWF_PEN_ANGLED("hwf-pen-angled", '\ue685'),
    HWF_PRINTER_1("hwf-printer-1", '\ue678'),
    HWF_PRINTER_2("hwf-printer-2", '\ue679'),
    HWF_PRINTER_TEXT_1("hwf-printer-text-1", '\ue67a'),
    HWF_PRINTER_TEXT_2("hwf-printer-text-2", '\ue67b'),
    HWF_RAINBOW("hwf-rainbow", '\ue6ea'),
    HWF_RAINDROP("hwf-raindrop", '\ue6ed'),
    HWF_RAINDROPS("hwf-raindrops", '\ue6ec'),
    HWF_ROCK_N_ROLL("hwf-rock-n-roll", '\ue754'),
    HWF_SAD_FACE_1("hwf-sad-face-1", '\ue719'),
    HWF_SAD_FACE_2("hwf-sad-face-2", '\ue722'),
    HWF_SAD_FACE_3("hwf-sad-face-3", '\ue72d'),
    HWF_SAD_FACE_4("hwf-sad-face-4", '\ue747'),
    HWF_SAD_FACE_5("hwf-sad-face-5", '\ue748'),
    HWF_SAD_FACE_6("hwf-sad-face-6", '\ue74a'),
    HWF_SAD_FACE_CLOSED_EYES("hwf-sad-face-closed-eyes", '\ue749'),
    HWF_SAD_FACE_EYEBROWS("hwf-sad-face-eyebrows", '\ue726'),
    HWF_SAD_FACE__TIGHTLY_CLOSED_EYES("hwf-sad-face--tightly-closed-eyes", '\ue73b'),
    HWF_SAILING_BOAT("hwf-sailing-boat", '\ue6c1'),
    HWF_SAILING_BOAT_WATER("hwf-sailing-boat-water", '\ue6c2'),
    HWF_SEARCH("hwf-search", '\ue66d'),
    HWF_SEARCH_MINUS("hwf-search-minus", '\ue66f'),
    HWF_SEARCH_PLUS("hwf-search-plus", '\ue66e'),
    HWF_SHREDDER("hwf-shredder", '\ue67d'),
    HWF_SHUTTLECOCK("hwf-shuttlecock", '\ue6b1'),
    HWF_SMILING_FACE_1("hwf-smiling-face-1", '\ue718'),
    HWF_SMILING_FACE_2("hwf-smiling-face-2", '\ue723'),
    HWF_SMILING_FACE_3("hwf-smiling-face-3", '\ue745'),
    HWF_SMILING_FACE_4("hwf-smiling-face-4", '\ue74b'),
    HWF_SMILING_FACE_EYEBROWS("hwf-smiling-face-eyebrows", '\ue724'),
    HWF_SMIRKING_FACE("hwf-smirking-face", '\ue71f'),
    HWF_SMIRKING_FACE_SUNGLASSES("hwf-smirking-face-sunglasses", '\ue752'),
    HWF_SNOWFLAKE("hwf-snowflake", '\ue712'),
    HWF_SOCCER_BALL("hwf-soccer-ball", '\ue69c'),
    HWF_SOCCER_COURT("hwf-soccer-court", '\ue69d'),
    HWF_SOCCER_SHOE_1("hwf-soccer-shoe-1", '\ue6c7'),
    HWF_SPORTS_SHOE_2("hwf-sports-shoe-2", '\ue6c6'),
    HWF_STAR("hwf-star", '\ue616'),
    HWF_STARS("hwf-stars", '\ue6ef'),
    HWF_STOP_WATCH_1("hwf-stop-watch-1", '\ue6ad'),
    HWF_STOP_WATCH_2("hwf-stop-watch-2", '\ue6ae'),
    HWF_STUBBORN_FACE("hwf-stubborn-face", '\ue720'),
    HWF_SUN("hwf-sun", '\ue6e5'),
    HWF_SUNGLASSES("hwf-sunglasses", '\ue6ee'),
    HWF_SUNRISE("hwf-sunrise", '\ue6e6'),
    HWF_SUNSET_1("hwf-sunset-1", '\ue6e7'),
    HWF_SUNSET_2("hwf-sunset-2", '\ue6e8'),
    HWF_SUNSET_3("hwf-sunset-3", '\ue6e9'),
    HWF_TABLE_TENNIS("hwf-table-tennis", '\ue6ab'),
    HWF_TAG("hwf-tag", '\ue690'),
    HWF_TAGS("hwf-tags", '\ue691'),
    HWF_TAG_ADD("hwf-tag-add", '\ue692'),
    HWF_TAG_CANCEL("hwf-tag-cancel", '\ue695'),
    HWF_TAG_CHECKED("hwf-tag-checked", '\ue694'),
    HWF_TAG_CORD("hwf-tag-cord", '\ue68f'),
    HWF_TAG_REMOVE("hwf-tag-remove", '\ue693'),
    HWF_TARGET("hwf-target", '\ue6c0'),
    HWF_TARGET_ARROW("hwf-target-arrow", '\ue6bf'),
    HWF_TENNIS_BALL_1("hwf-tennis-ball-1", '\ue699'),
    HWF_TENNIS_BALL_2("hwf-tennis-ball-2", '\ue6a2'),
    HWF_TENNIS_RACKET("hwf-tennis-racket", '\ue6a9'),
    HWF_THERMOMETER("hwf-thermometer", '\ue70a'),
    HWF_THERMOMETER_FULL("hwf-thermometer-full", '\ue70f'),
    HWF_THERMOMETER_HALF("hwf-thermometer-half", '\ue70d'),
    HWF_THERMOMETER_LOW("hwf-thermometer-low", '\ue70b'),
    HWF_THERMOMETER_QUARTER("hwf-thermometer-quarter", '\ue70c'),
    HWF_THERMOMETER_THREE_QUARTERS("hwf-thermometer-three-quarters", '\ue70e'),
    HWF_THREE_FINGERS("hwf-three-fingers", '\ue771'),
    HWF_THREE_FINGERS_DOUBLE_TAP_1("hwf-three-fingers-double-tap-1", '\ue75f'),
    HWF_THREE_FINGERS_DOUBLE_TAP_2("hwf-three-fingers-double-tap-2", '\ue772'),
    HWF_THREE_FINGERS_SWIPE_DOWN("hwf-three-fingers-swipe-down", '\ue770'),
    HWF_THREE_FINGERS_SWIPE_LEFT("hwf-three-fingers-swipe-left", '\ue76d'),
    HWF_THREE_FINGERS_SWIPE_RIGHT("hwf-three-fingers-swipe-right", '\ue76e'),
    HWF_THREE_FINGERS_SWIPE_UP("hwf-three-fingers-swipe-up", '\ue76f'),
    HWF_THUMB_DOWN_1("hwf-thumb-down-1", '\ue757'),
    HWF_THUMB_DOWN_2("hwf-thumb-down-2", '\ue759'),
    HWF_THUMB_FINGER_TAP("hwf-thumb-finger-tap", '\ue76b'),
    HWF_THUMB_UP_1("hwf-thumb-up-1", '\ue756'),
    HWF_THUMB_UP_2("hwf-thumb-up-2", '\ue758'),
    HWF_TORNADO("hwf-tornado", '\ue702'),
    HWF_TRASH_CAN_1("hwf-trash-can-1", '\ue619'),
    HWF_TRASH_CAN_2("hwf-trash-can-2", '\ue61a'),
    HWF_TROPHY_1("hwf-trophy-1", '\ue6a3'),
    HWF_TROPHY_2("hwf-trophy-2", '\ue6a5'),
    HWF_TROPHY_ONE("hwf-trophy-one", '\ue6a4'),
    HWF_TWO_FINGERS("hwf-two-fingers", '\ue75e'),
    HWF_TWO_FINGERS_DOUBLE_TAP("hwf-two-fingers-double-tap", '\ue77d'),
    HWF_TWO_FINGERS_RESIZE_IN("hwf-two-fingers-resize-in", '\ue761'),
    HWF_TWO_FINGERS_RESIZE_OUT("hwf-two-fingers-resize-out", '\ue760'),
    HWF_TWO_FINGERS_ROTATE("hwf-two-fingers-rotate", '\ue762'),
    HWF_TWO_FINGERS_SWIPE_DOWN_1("hwf-two-fingers-swipe-down-1", '\ue75d'),
    HWF_TWO_FINGERS_SWIPE_DOWN_2("hwf-two-fingers-swipe-down-2", '\ue775'),
    HWF_TWO_FINGERS_SWIPE_LEFT_1("hwf-two-fingers-swipe-left-1", '\ue75a'),
    HWF_TWO_FINGERS_SWIPE_LEFT_2("hwf-two-fingers-swipe-left-2", '\ue777'),
    HWF_TWO_FINGERS_SWIPE_RIGHT_1("hwf-two-fingers-swipe-right-1", '\ue75b'),
    HWF_TWO_FINGERS_SWIPE_RIGHT_2("hwf-two-fingers-swipe-right-2", '\ue776'),
    HWF_TWO_FINGERS_SWIPE_UP_1("hwf-two-fingers-swipe-up-1", '\ue75c'),
    HWF_TWO_FINGERS_SWIPE_UP_2("hwf-two-fingers-swipe-up-2", '\ue773'),
    HWF_TWO_FINGERS_TAP("hwf-two-fingers-tap", '\ue77e'),
    HWF_UMBRELLA("hwf-umbrella", '\ue6eb'),
    HWF_UNAMUSED_FACE_TIGHTLY_CLOSED_EYES("hwf-unamused-face-tightly-closed-eyes", '\ue73a'),
    HWF_VOLLEYBALL("hwf-volleyball", '\ue6ac'),
    HWF_VOLLEYBALL_WATER("hwf-volleyball-water", '\ue6bd'),
    HWF_WARNING("hwf-warning", '\ue705'),
    HWF_WEIGHTS("hwf-weights", '\ue6a8'),
    HWF_WHISTLE("hwf-whistle", '\ue6bc'),
    HWF_WIND("hwf-wind", '\ue6f3'),
    HWF_WIND_TURBINE("hwf-wind-turbine", '\ue711'),
    HWF_WINKING_FACE_1("hwf-winking-face-1", '\ue71c'),
    HWF_WINKING_FACE_2("hwf-winking-face-2", '\ue72a'),
    HWF_WORRIED_FACE_3("hwf-worried-face-3", '\ue729'),
    HWF_WORRIED_FACE_EYEBROWS("hwf-worried-face-eyebrows", '\ue730'),
    HWF_ZIP("hwf-zip", '\ue66c');

    public static HawconsFilled findByDescription(String description) {
        for (HawconsFilled font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    HawconsFilled(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}